Subject: Re: [Sipping] Thoughts on GRUUs, URI leasing and embedded route headers

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 30 Apr 2003 23:15:38 -0400

inline.

Christer Holmberg wrote:
> Hi,
> 
> 
>>>To make this work, it is assumed that requests sent in the backward
>>>direction really will be directed via the proxy which issued the
>>>leased URI (unless the proxy is able to "share" the information with
>>>other proxies). So, won't we have the same problem with the
>>>Record-Route URI that you now try to solve for the Contact URI - ie
>>>we want to make sure that requests reach a specific node, and not
>>>just any node within a specific user domain?
>>
>>No.
>>
>>Just because I ask a specific server for a URI that is routable in the
>>domain, does not meant that requests have to go to that specific server.
>>  It is a requirement on the administrator of the domain to guarantee
>>that the URI will route to the UA instance when used by anyone from
>>anywhere. This will frequently require coordinated routing policies
>>throughout the domain. Thats fine. Thats why you need to ask for the
>>name - to make sure what you get is consistent with those routing policies.
> 
> 
> Ok, but assume that proxy A still wants a request to be sent via it. Now, it
> can do so by inserting its IP address in the Record-Route URI, but aren't the
> problems them the same as if the UA would insert its IP address in the Contact?

The problem GRUUs are trying to solve is that a UA wants a URI that it 
can be reached at *outside of the dialog* that was just set up. I do not 
see a pressing need for a proxy to be reached *outside of a dialog* that 
was just set up.

> 
> My question basically is: should it only be possible for UAs to obtain a GRUU,
> or should it also be possible for proxies?

Its possible but I see no value.

-Jonathan R.
-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Scientist                             Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP